BandaAncha.eu

Comunidad de usuarios
de fibra, móvil y ADSL

GoogleEarth

BocaDePez
BocaDePez

He instalado en Ubuntu 10.04.1. GoogleEarth sin problemas, pero cuando lo ejecuto y sale en pantalla, a continuacion se cierra dicho programa.

Alguna sugerencia.

Gracias.

tumerudi
1

Ejecútalo en consola y mira el error que sale.

🗨️ 1
BocaDePez
BocaDePez

Gracias por contestar.

Me genera el siguiente fichero crashlog:

"Major Version 5
Minor Version 2
Build Number 0001
Build Date Jul 30 2010
Build Time 02:09:03
OS Type 3
OS Major Version 2
OS Minor Version 6
OS Build Version 32
OS Patch Version 0
Crash Signal 11
Crash Time 1283448625
Up Time 4,47576

Stacktrace from glibc:
./libgoogleearth_free.so(+0xd090b)[0xe8790b]
[0x216400]
/usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_from_pixdata+0x13f)[0x41eb00f]
/usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_new_from_inline+0x63)[0x41eb2d3]
/usr/lib/flashplugin-installer/libflashplayer.so(+0x4d395)[0xa6eb2395]
/usr/lib/flashplugin-installer/libflashplayer.so(+0x4bdee)[0xa6eb0dee]
/usr/lib/flashplugin-installer/libflashplayer.so(NP_Initialize+0x1ae)[0xa6eb528e]
./libQtWebKit.so.4(+0x747b22)[0x24c1b22]
./libQtWebKit.so.4(+0x747c0c)[0x24c1c0c]
./libQtWebKit.so.4(+0x6062ff)[0x23802ff]
./libQtWebKit.so.4(+0x604516)[0x237e516]
./libQtWebKit.so.4(+0x60476a)[0x237e76a]
./libQtWebKit.so.4(+0x712beb)[0x248cbeb]
./libQtWebKit.so.4(+0x5b1595)[0x232b595]
./libQtWebKit.so.4(+0x5a185c)[0x231b85c]
./libQtWebKit.so.4(+0x5b1981)[0x232b981]
./libQtWebKit.so.4(+0x5b199a)[0x232b99a]
./libQtWebKit.so.4(+0xaa2c4b)[0x281cc4b]
./libQtWebKit.so.4(+0x16ad57)[0x1ee4d57]
./libQtWebKit.so.4(+0x1749d5)[0x1eee9d5]
./libQtWebKit.so.4(+0x183282)[0x1efd282]
./libQtWebKit.so.4(+0x1bc22d)[0x1f3622d]
./libQtWebKit.so.4(+0x29ac5d)[0x2014c5d]
./libQtWebKit.so.4(+0x2a9410)[0x2023410]
./libQtWebKit.so.4(+0x2a9f72)[0x2023f72]
./libQtWebKit.so.4(+0x2b7fea)[0x2031fea]
./libQtWebKit.so.4(+0x4be45a)[0x223845a]
./libQtWebKit.so.4(+0x4bf243)[0x2239243]
./libQtWebKit.so.4(+0x4c0449)[0x223a449]
./libQtWebKit.so.4(+0x4c2a75)[0x223ca75]
./libQtWebKit.so.4(+0x4c36b8)[0x223d6b8]
./libQtWebKit.so.4(+0x4c6773)[0x2240773]
./libQtWebKit.so.4(+0x501706)[0x227b706]
./libQtWebKit.so.4(+0x5017fb)[0x227b7fb]
./libQtWebKit.so.4(+0x539f0b)[0x22b3f0b]
./libQtWebKit.so.4(+0x54c290)[0x22c6290]
./libQtWebKit.so.4(+0x547cc3)[0x22c1cc3]
./libQtWebKit.so.4(+0x6fd155)[0x2477155]
./libQtWebKit.so.4(+0x6fd83e)[0x247783e]
./libQtCore.so.4(_ZN11QMetaObject8metacallEP7QObjectNS_4CallEiPPv+0x3f)[0x57a5a7]
./libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x24)[0x5825ec]
./libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x185)[0x58303d]
./libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xa0)[0x101be20]
./libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x22e)[0x1025962]
./libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x70)[0x574d50]
./libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x22d)[0x575989]
./libQtCore.so.4(_ZN20QEventDispatcherUNIX13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x37)[0x59a94b]
./libQtGui.so.4(+0x1d3ca4)[0x10b0ca4]
./libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x47)[0x573fbf]
./libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xff)[0x574223]
./libQtCore.so.4(_ZN16QCoreApplication4execEv+0x9d)[0x575c05]
./libQtGui.so.4(_ZN12QApplication4execEv+0x25)[0x101b7a1]
./libgoogleearth_free.so(_ZN5earth6client11Application3runEv+0x4bc)[0xe92b0c]
./libgoogleearth_free.so(earthmain+0x27d)[0xe86d3d]
./googleearth-bin(_init+0x12e)[0x80486d2]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe6)[0x6b8bd6]
./googleearth-bin(_init+0x9d)[0x8048641]"

Si entiendes algo, por favor dimelo.

Saludos

BocaDePez
BocaDePez

Además no vendría mal saber de donde lo has instalado.

BocaDePez
BocaDePez

He seguido la solucion al pie de la letra y ha sido instalado el fichero, pero sigue haciendo igual, al momento de estar cargado el programa, desaparece.

El programa ha sido descargado de GoogleEarth.

Gracias por vuestro interes, seguiré buscando la solución, si averiguais algo, por favor avisadme.

Saludos

🗨️ 4
vukits

hombre.. yo siempre prefiero instalarlo desde los repositorios de la distro.. que por algo están ;)

🗨️ 3
BocaDePez
BocaDePez

Te agradeceria que dijeras en que repositorio está, yo no lo he encontrado, por eso lo he instalado desde el fichero .bin

🗨️ 2
BocaDePez
BocaDePez
🗨️ 1
vukits
BocaDePez
BocaDePez

La tarjeta grafica es una nvidia 8500 y tiene instalado el controlador privativo que recomienda Ubuntu para aprovechar las propiedades 3D.

He hecho la prueba con glxgears y me sale mas de 34.000 frames cada 5 segundos.

En todos los Ubuntus anteriormente que he instalado, siempre he tenido el GoogleEarth funcionando sin problemas, hasta esta version de Ubuntu (10.4.1), asi que vamos para atrás.

🗨️ 1
vukits

prueba con esto

sudo rm -Rf .config/Google .googleearth

e inicia googleearth de nuevo

BocaDePez
BocaDePez
1

Gracias vukits, con la instruccion que me dices ha funcionado.